Bug 70947 - g++ fails when directory in include path has the name of a standard header
g++ fails when directory in include path has the name of a standard header
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-07 03:49 EDT by Wagner T. Correa
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-11 14:21:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wagner T. Correa 2002-08-07 03:49:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
When there is a directory in the include path whose name is the same of a
standard header, and a program tries to include the standard header, g++ will
fail to compile the program.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a directory called memory.
2. Compile the file below.

#include <memory>


Actual Results:  [wtcorrea@neon17 wtcorrea]$ g++ -I. -c x.cpp 
x.cpp:1:18: memory is a directory


Expected Results:  g++ should ignore the memory directory, and look for a file
called memory in the include path.


Additional info:

gcc-2.96-108.7.2
Comment 1 Jakub Jelinek 2002-11-11 14:21:52 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2002-200.html

Note You need to log in before you can comment on or make changes to this bug.